./print/cups15, Common UNIX Printing System (1.5 branch)

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.5.4nb16, Package name: cups-1.5.4nb16, Maintainer: sbd

The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems. It has been developed by Easy Software Products
to promote a standard printing solution for all UNIX vendors and users.
CUPS provides the System V and Berkeley command-line interfaces.

CUPS uses the Internet Printing Protocol (IETF-IPP) as the basis for
managing print jobs and queues. The Line Printer Daemon (LPD, RFC1179)
and AppSocket protocols are also supported with reduced functionality.

CUPS adds network printer browsing and PostScript Printer Description
("PPD")-based printing options to support real world applications under
UNIX.

This package contains the older 1.5 series, before Apple stopped
maintaining the filters.

MESSAGE.libusb [+/-]
MESSAGE.pam [+/-]

Required to run:
[sysutils/dbus] [print/poppler-utils] [graphics/tiff] [graphics/png] [net/openslp] [print/libpaper] [devel/libusb1]

Required to build:
[pkgtools/cwrappers]

Package options: dbus, dnssd, kerberos, libusb, poppler, slp

Master sites: (Expand)

SHA1: cb39961cbaf1851a47694828ad9a7cdf4da51fbd
RMD160: 9d6a7fd69d3036ec1f3dfd9c70672a2c6fb517b6
Filesize: 9358.4 KB

Version history: (Expand)


CVS history: (Expand)


   2017-08-21 01:55:54 by Johnny C. Lam | Files touched by this commit (2)
Log message:
print/cups{,15}: Don't make ${CUPS_CONFDIR} with INSTALLATION_DIRS.

${CUPS_CONFDIR} (${PKG_SYSCONFDIR}) may be located outside of
${PREFIX}, which causes a installation failure due to the checks
added in mk/install/install.mk.

Remove ${CUPS_CONFDIR} from INSTALLATION_DIRS since it is created
by the package install script at PRE-INSTALL time.

Fixes pkg/52481 reported by Hauke Fath.
   2017-08-01 16:59:08 by Thomas Klausner | Files touched by this commit (211)
Log message:
Follow some http -> https redirects.
   2017-07-27 10:54:45 by Thomas Klausner | Files touched by this commit (1)
Log message:
Match cups: revert undiscussed mit-krb5 dependency. Should be optional,
and should have bumped PKGREVISION.
   2017-07-25 20:32:50 by Reinoud Zandijk | Files touched by this commit (1)
Log message:
As with cups-1.5, explicitly depend on security/mit-krb5 since it can attempt
to link to it.
   2017-01-19 19:52:30 by Alistair G. Crooks | Files touched by this commit (352)
Log message:
Convert all occurrences (353 by my count) of

	MASTER_SITES= 	site1 \
			site2

style continuation lines to be simple repeated

	MASTER_SITES+= site1
	MASTER_SITES+= site2

lines. As previewed on tech-pkg. With thanks to rillig for fixing pkglint
accordingly.
   2016-12-12 15:22:04 by Thomas Klausner | Files touched by this commit (30)
Log message:
Revert "Specify readline requirement on 30 packages"

Many of these definitely do not depend on readline.
So there must be a different underlying problem, and that
should be tracked down instead of papering over it.
   2016-12-04 04:51:17 by John Marino | Files touched by this commit (30)
Log message:
Specify readline requirement on 30 packages

Solves:
/usr/libexec/binutils225/elf/ld.gold: error: cannot find -lreadline

The missing specification is obvious on DragonFly because there's
no publically accessible version of readline in base.
   2016-07-09 08:39:18 by Thomas Klausner | Files touched by this commit (1068) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.0 for everything mentioning perl.